> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List vulnerability disposition policies



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /org/security/vulnerability-dispositions
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /org/security/vulnerability-dispositions:
    get:
      tags:
        - Security
      summary: List vulnerability disposition policies
      operationId: list_vulnerability_dispositions
      parameters:
        - in: query
          name: page
          required: false
          schema:
            default: 1
            maximum: 10000
            minimum: 1
            type: integer
        - description: Values above 100 are clamped to 100.
          in: query
          name: page_size
          required: false
          schema:
            default: 50
            minimum: 1
            type: integer
        - in: query
          name: search
          required: false
          schema:
            type: string
        - in: query
          name: status
          required: false
          schema:
            items:
              type: string
            type: array
        - in: query
          name: disposition
          required: false
          schema:
            items:
              type: string
            type: array
        - in: query
          name: sort
          required: false
          schema:
            type: string
        - in: query
          name: order
          required: false
          schema:
            enum:
              - asc
              - desc
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/VulnerabilityDispositionPolicyListResponse
          description: Successful response
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityDetailError'
          description: Business validation error
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityPermissionDenied'
          description: Permission or CSRF denied
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityDetailError'
          description: Organization-scoped resource not found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityDetailError'
          description: Disposition conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Request validation error
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityDetailError'
          description: Internal server error
components:
  schemas:
    VulnerabilityDispositionPolicyListResponse:
      properties:
        pagination:
          $ref: '#/components/schemas/SecurityPagination'
        result:
          items:
            $ref: '#/components/schemas/VulnerabilityDispositionPolicy'
          type: array
      required:
        - result
        - pagination
      type: object
    SecurityDetailError:
      properties:
        detail:
          type: string
      required:
        - detail
      type: object
    SecurityPermissionDenied:
      properties:
        detail:
          enum:
            - permission_denied
          type: string
        permission:
          type: string
        scope_type:
          type: string
      required:
        - detail
        - permission
        - scope_type
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    SecurityPagination:
      properties:
        page:
          type: integer
        page_size:
          type: integer
        total_count:
          type: integer
        total_pages:
          type: integer
      required:
        - page
        - page_size
        - total_pages
        - total_count
      type: object
    VulnerabilityDispositionPolicy:
      properties:
        active_match_count:
          type: integer
        created_at:
          format: date-time
          type: string
        created_by:
          type: string
        disposition:
          enum:
            - acknowledged
            - accepted_risk
          type: string
        expire_when_fix_available:
          type: boolean
        expires_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
        fix_available_match_count:
          type: integer
        id:
          format: uuid
          type: string
        last_evaluated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
        last_matched_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
        match_health:
          type: string
        matched_occurrence_count:
          type: integer
        reason:
          type: string
        revoked_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
        revoked_by:
          anyOf:
            - type: string
            - type: 'null'
        revoked_reason:
          anyOf:
            - type: string
            - type: 'null'
        selector:
          $ref: '#/components/schemas/VulnerabilityDispositionSelector'
        selector_hash:
          type: string
        status:
          type: string
        updated_at:
          format: date-time
          type: string
        updated_by:
          type: string
      required:
        - id
        - selector
        - selector_hash
        - disposition
        - reason
        - expires_at
        - expire_when_fix_available
        - created_by
        - updated_by
        - status
        - match_health
        - matched_occurrence_count
        - active_match_count
        - fix_available_match_count
        - last_evaluated_at
        - last_matched_at
        - revoked_at
        - revoked_by
        - revoked_reason
        - created_at
        - updated_at
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    VulnerabilityDispositionSelector:
      properties:
        addon_slug:
          type: string
        cluster_id:
          format: uuid
          type: string
        cve_id:
          type: string
        explicit_broad:
          type: boolean
        image_digest:
          type: string
        organisation_id:
          format: uuid
          type: string
        package_name:
          type: string
        package_type:
          type: string
        workload_kind:
          type: string
        workload_name:
          type: string
        workload_namespace:
          type: string
      required:
        - organisation_id
      type: object

````